Summary: The GNU version of the awk text processing utility.
Name: gawk
Version: 3.0.6
Release: 1.3.0
Copyright: GPL
Group: Applications/Text
Source0: ftp://ftp.gnu.org/gnu/gawk/gawk-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/gawk/gawk-%{version}-ps.tar.gz
Patch0: gawk-3.0-unaligned.patch
Patch1: gawk-3.0.6-jh-owl-igawk-tmp.diff
Prereq: /sbin/install-info
Requires: mktemp
BuildRoot: /var/tmp/%{name}-root

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

%prep
%setup -q -b 1
%patch0 -p1
%patch1 -p1

%build
rm -f doc/gawk.info awklib/eg/prog/igawk.sh
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=${RPM_BUILD_ROOT}%{_prefix} bindir=${RPM_BUILD_ROOT}/bin \
	mandir=$RPM_BUILD_ROOT/%{_mandir}/man1 \
	libexecdir=$RPM_BUILD_ROOT/%{_libexecdir}/awk \
	datadir=$RPM_BUILD_ROOT/%{_datadir}/awk \
	infodir=$RPM_BUILD_ROOT/%{_infodir}

strip ${RPM_BUILD_ROOT}/bin/gawk || :
strip ${RPM_BUILD_ROOT}%{_prefix}/libexec/awk/* || :

( cd $RPM_BUILD_ROOT
  rm -f .%{_prefix}/info/dir
  gzip -9nf .%{_infodir}/gawk.info*
  mkdir -p .%{_prefix}/bin
  ln -sf gawk.1.gz .%{_prefix}/%{_mandir}/man1/awk.1.gz
  ln -sf /bin/gawk .%{_prefix}/bin/awk
  ln -sf /bin/gawk .%{_prefix}/bin/gawk
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_infodir}/gawk.info.gz ]; then
	/sbin/install-info %{_infodir}/gawk.info.gz %{_infodir}/dir
fi

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/gawk.info.gz %{_infodir}/dir
fi

%files
%doc README COPYING ACKNOWLEDGMENT FUTURES INSTALL LIMITATIONS NEWS PORTS 
%doc README_d POSIX.STD doc/gawk.ps doc/awkcard.ps
/bin/*
%doc %{_mandir}/man1/*
%doc %{_infodir}/gawk.info*
%{_prefix}/libexec/awk
%{_prefix}/share/awk

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Wed Oct 24 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.0.6, Release 1.1.1
  - Imported a patch from Openwall to fix unsafe temp file handling in igawk.
  - Regenerated gawk.info and igawk.sh from gawki.texi (as per Owl).
  - Tweaked spec a little bit.  Do a diff to see what changed. :)


* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.0.6, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).


* Tue Nov 28 2000 Pete O'Hara <pete@guardiandigital.com>
- made install-info conditional on existence of *info.gz

* Mon Nov 20 2000 Dave Wreski <dave@guardiandigital.com>
- upgrade to 3.0.6
- FHS changes

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix man page symlinks
- Fix description
- Fix download URL

* Wed Jun 30 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.0.4.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- make sure all binaries are stripped

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Fri Feb 19 1999 Jeff Johnson <jbj@redhat.com>
- Install info pages (#1242).

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- don't package /usr/info/dir

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.0.3
- added documentation and buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

